Bug 1790438 - S57glusterfind-delete-post.py not python3 ready (does not decode bytestring)
Summary: S57glusterfind-delete-post.py not python3 ready (does not decode bytestring)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterfind
Version: 7
Hardware: All
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Sunny Kumar
QA Contact: bugs@gluster.org
URL:
Whiteboard:
Depends On: 1789478 1790449
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-13 11:04 UTC by Sunny Kumar
Modified: 2020-01-14 19:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1789478
Environment:
Last Closed: 2020-01-14 19:42:13 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 24003 0 None Merged glusterfind: python3 compatibility 2020-01-14 19:42:12 UTC

Description Sunny Kumar 2020-01-13 11:04:41 UTC
+++ This bug was initially created as a clone of Bug #1789478 +++

Description of problem:
The script tools/glusterfind/S57glusterfind-delete-post.py does not decode
a byte string to char correctly.

Version-Release number of selected component (if applicable):
Found on version 6.7 on ubuntu but the error is still there in latest master commit in git.

How reproducible:
Always

Steps to Reproduce:
1. Delete a volume
2. Examine the logfile glusterd.log which will show the error.

Actual results:
Error print

Expected results:
Should run without errors and delete the local session directories.

Additional info:

--- Additional comment from Sunny Kumar on 2020-01-09 17:02:58 UTC ---

I suppose this is upstream bug filed incorrectly in downstream

--- Additional comment from Worker Ant on 2020-01-10 14:39:40 UTC ---

REVIEW: https://review.gluster.org/23994 (glusterfind: python3 compatibility) posted (#1) for review on master by Sunny Kumar

--- Additional comment from Worker Ant on 2020-01-13 03:20:07 UTC ---

REVIEW: https://review.gluster.org/23994 (glusterfind: python3 compatibility) merged (#2) on master by Aravinda Vishwanathapura

Comment 1 Worker Ant 2020-01-13 11:07:08 UTC
REVIEW: https://review.gluster.org/24003 (glusterfind: python3 compatibility) posted (#1) for review on release-7 by Sunny Kumar

Comment 2 Worker Ant 2020-01-14 19:42:13 UTC
REVIEW: https://review.gluster.org/24003 (glusterfind: python3 compatibility) merged (#2) on release-7 by Rinku Kothiya


Note You need to log in before you can comment on or make changes to this bug.